Summary:	S/Key suite of programs
Name:		skey
Version:	2.2
Release:	3mdk
License:	GPL
Group:		Networking/Other
Source0:	ftp://sunsite.unc.edu/pub/Linux/system/security/%{name}-%{version}.tar.bz2
Patch0:		skey-shared.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The S/Key suite of programs.

S/Key provides one-time password-based authentication using the RSA
Data Security, Inc. MD5 Message-Digest Algorithm (licensed for
redistribution by RSA). This technology is based on key-challenge
authentication via key checksums and does not contain any
strong-encryption algorithms. This code may be exported freely out of
the United States.

%package -n libskey2
Summary:	Libraries for S/Key enabled programs
Group:		Development/C

%description -n libskey2
The S/Key libraries.

S/Key provides one-time password-based authentication using the RSA
Data Security, Inc. MD5 Message-Digest Algorithm (licensed for
redistribution by RSA). This technology is based on key-challenge
authentication via key checksums and does not contain any
strong-encryption algorithms. This code may be exported freely out of
the United States.

%package -n libskey2-devel
Summary:	Libraries and headers for developing S/Key enabled programs
Group:		Development/C
Requires:	libskey2 = %version-%release
Provides:	libskey-devel

%description -n libskey2-devel
Libraries and headers for developing S/Key enabled programs.

%prep
%setup -q
%patch -p1

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{%{_bindir},%{_mandir}/man{1,5},%{_libdir},%{_includedir}/security}

install key/key keyinit/keyinit keyinfo/keyinfo $RPM_BUILD_ROOT%{_bindir}
install libskey/skey.h $RPM_BUILD_ROOT%{_includedir}/security
install libskey/libskey.a $RPM_BUILD_ROOT%{_libdir}
install libskey/libskey.so.*.* $RPM_BUILD_ROOT%{_libdir}

ln -s libskey.so.%{version} $RPM_BUILD_ROOT/%{_libdir}/libskey.so

install {key,keyinfo,keyinit,libskey}/*.1 $RPM_BUILD_ROOT%{_mandir}/man1/
install libskey/*.5 $RPM_BUILD_ROOT%{_mandir}/man5/

%post   -n libskey2 -p /sbin/ldconfig
%postun -n libskey2 -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%files -n libskey2
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*

%files -n libskey2-devel
%defattr(644,root,root,755)
%{_includedir}/security/skey.h
%attr(755,root,root) %{_libdir}/lib*.so

%changelog
* Fri Jan 19 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-3mdk
- Fix changelog to allow automatic rebuild

* Mon Jan 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 2.2-2mdk
- added Provides liskey-devel and removed invalid dependency on skey for
  libskey2.

* Mon Jan 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 2.2-1mdk
- first Linux-Mandrake version.

#* %{date} PLD Team <pld-list@pld.org.pl>
#All persons listed below can be reached at <cvs_login>@pld.org.pl

#$Log: skey.spec,v $
#Revision 1.7  2000/12/27 12:54:09  kloczek
#- changed Group in main to Networking/Daemons.

#Revision 1.6  2000/12/25 21:54:40  marcus
#- fixed /usr/lib/libskey.a owner
#- fix libskey.a owner/group (missing %defattr)
#- fix Source0 (added ftp site from lsm)
#- release 4

#Revision 1.5  2000/12/23 00:48:47  michuz
#- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
#  (now it's more C like)

#Revision 1.4  2000/11/22 19:30:56  kloczek
#- release 3,
#- make spec %%{debug} ready,
#- added using new rpm automation,
#- added static subpackage.

#Revision 1.3  2000/06/09 07:23:59  kloczek
#- added using %%{__make} macro.

#Revision 1.2  2000/05/03 13:35:38  wiget
#added Requires to -devel

#Revision 1.1  2000/04/25 13:10:23  baggins
#- PLD compliant spec
